#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kickpimcontactchangedlg.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kickpimcontactchangedlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qtextedit.h>
#include <qcheckbox.h>
#include <keditlistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "keditlistbox.h"
#include "klineedit.h"
#include "./kickpimcontactchangedlg.ui.h"

/*
 *  Constructs a KickPimContactChangeDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KickPimContactChangeDlg::KickPimContactChangeDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KickPimContactChangeDlg" );
    KickPimContactChangeDlgLayout = new QGridLayout( this, 1, 1, 3, 3, "KickPimContactChangeDlgLayout"); 

    NoteSetEnabled = new QTabWidget( this, "NoteSetEnabled" );

    tab = new QWidget( NoteSetEnabled, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    NoteEdit = new QTextEdit( tab, "NoteEdit" );
    NoteEdit->setEnabled( FALSE );

    tabLayout->addWidget( NoteEdit, 1, 0 );

    NoteEditEnabled = new QCheckBox( tab, "NoteEditEnabled" );

    tabLayout->addWidget( NoteEditEnabled, 0, 0 );
    NoteSetEnabled->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( NoteSetEnabled, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    CatSetEnabled = new QCheckBox( tab_2, "CatSetEnabled" );

    tabLayout_2->addWidget( CatSetEnabled, 0, 0 );

    CatEdit = new KEditListBox( tab_2, "CatEdit" );
    CatEdit->setEnabled( FALSE );
    CatEdit->setFrameShape( KEditListBox::NoFrame );
    CatEdit->setFrameShadow( KEditListBox::Sunken );
    CatEdit->setLineWidth( 0 );

    tabLayout_2->addWidget( CatEdit, 1, 0 );
    NoteSetEnabled->insertTab( tab_2, QString::fromLatin1("") );

    KickPimContactChangeDlgLayout->addMultiCellWidget( NoteSetEnabled, 0, 0, 0, 2 );
    spacer2_2 = new QSpacerItem( 140, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KickPimContactChangeDlgLayout->addItem( spacer2_2, 1, 0 );

    RejectButton = new QPushButton( this, "RejectButton" );

    KickPimContactChangeDlgLayout->addWidget( RejectButton, 1, 2 );

    AcceptButton = new QPushButton( this, "AcceptButton" );
    AcceptButton->setEnabled( FALSE );
    AcceptButton->setAutoRepeat( FALSE );
    AcceptButton->setDefault( TRUE );

    KickPimContactChangeDlgLayout->addWidget( AcceptButton, 1, 1 );
    languageChange();
    resize( QSize(425, 336).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( NoteEditEnabled, SIGNAL( toggled(bool) ), this, SLOT( onNotesToggles(bool) ) );
    connect( CatSetEnabled, SIGNAL( toggled(bool) ), this, SLOT( onCategoriesToggles(bool) ) );

    // tab order
    setTabOrder( NoteEditEnabled, NoteEdit );
    setTabOrder( NoteEdit, RejectButton );
    setTabOrder( RejectButton, AcceptButton );
    setTabOrder( AcceptButton, CatSetEnabled );
    setTabOrder( CatSetEnabled, NoteSetEnabled );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KickPimContactChangeDlg::~KickPimContactChangeDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KickPimContactChangeDlg::languageChange()
{
    setCaption( tr2i18n( "Notes" ) );
    NoteEditEnabled->setText( tr2i18n( "&Overwrite the notes for all selected contacts.\n"
"All current notes will be replaced!" ) );
    NoteEditEnabled->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    NoteSetEnabled->changeTab( tab, tr2i18n( "&Note" ) );
    CatSetEnabled->setText( tr2i18n( "&Overwrite the categories for all selected contacts.\n"
"All current category sets will be replaced!" ) );
    CatSetEnabled->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    CatEdit->setTitle( QString::null );
    NoteSetEnabled->changeTab( tab_2, tr2i18n( "Cate&gories" ) );
    RejectButton->setText( tr2i18n( "&Cancel" ) );
    RejectButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    AcceptButton->setText( tr2i18n( "C&hange" ) );
    AcceptButton->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
}

#include "kickpimcontactchangedlg.moc"
