#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kpmailmboxdlg.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kpmailmboxdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <qframe.h>
#include <kcombobox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <klineedit.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"
#include "kcombobox.h"
#include "klineedit.h"
#include "kurlrequester.h"
#include "./kpmailmboxdlg.ui.h"

/*
 *  Constructs a KPMailMboxDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KPMailMboxDlg::KPMailMboxDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setProperty( "name", "KPMailMboxDlg" );
    KPMailMboxDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "KPMailMboxDlgLayout"); 

    OkButton = new KPushButton( this, "OkButton" );

    KPMailMboxDlgLayout->addWidget( OkButton, 1, 3 );

    CancelButton = new KPushButton( this, "CancelButton" );

    KPMailMboxDlgLayout->addMultiCellWidget( CancelButton, 1, 1, 1, 2 );
    spacer1 = new QSpacerItem( 181, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KPMailMboxDlgLayout->addItem( spacer1, 1, 0 );

    CheckFrame = new QFrame( this, "CheckFrame" );
    CheckFrame->setProperty( "frameShape", "StyledPanel" );
    CheckFrame->setProperty( "frameShadow", "Sunken" );
    CheckFrameLayout = new QGridLayout( CheckFrame, 1, 1, 11, 6, "CheckFrameLayout"); 

    AccountState = new KComboBox( FALSE, CheckFrame, "AccountState" );

    CheckFrameLayout->addMultiCellWidget( AccountState, 0, 0, 0, 1 );

    CheckSeconds = new QSpinBox( CheckFrame, "CheckSeconds" );
    CheckSeconds->setProperty( "enabled", QVariant( FALSE, 0 ) );
    CheckSeconds->setProperty( "maxValue", 59 );

    CheckFrameLayout->addWidget( CheckSeconds, 4, 0 );

    LabelCheckSec = new QLabel( CheckFrame, "LabelCheckSec" );
    LabelCheckSec->setProperty( "enabled", QVariant( FALSE, 0 ) );

    CheckFrameLayout->addWidget( LabelCheckSec, 4, 1 );

    CheckMinutes = new QSpinBox( CheckFrame, "CheckMinutes" );
    CheckMinutes->setProperty( "enabled", QVariant( FALSE, 0 ) );
    CheckMinutes->setProperty( "maxValue", 3600 );
    CheckMinutes->setProperty( "value", 5 );

    CheckFrameLayout->addWidget( CheckMinutes, 3, 0 );

    AutoCheck = new QCheckBox( CheckFrame, "AutoCheck" );

    CheckFrameLayout->addMultiCellWidget( AutoCheck, 2, 2, 0, 1 );
    spacer2 = new QSpacerItem( 20, 60, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CheckFrameLayout->addItem( spacer2, 1, 0 );

    LabelCheckMin = new QLabel( CheckFrame, "LabelCheckMin" );
    LabelCheckMin->setProperty( "enabled", QVariant( FALSE, 0 ) );

    CheckFrameLayout->addWidget( LabelCheckMin, 3, 1 );

    KPMailMboxDlgLayout->addMultiCellWidget( CheckFrame, 0, 0, 2, 3 );

    MailboxFrame = new QFrame( this, "MailboxFrame" );
    MailboxFrame->setProperty( "frameShape", "StyledPanel" );
    MailboxFrame->setProperty( "frameShadow", "Sunken" );
    MailboxFrameLayout = new QGridLayout( MailboxFrame, 1, 1, 11, 6, "MailboxFrameLayout"); 

    LabelAccountName = new QLabel( MailboxFrame, "LabelAccountName" );

    MailboxFrameLayout->addWidget( LabelAccountName, 0, 0 );

    AccountName = new KLineEdit( MailboxFrame, "AccountName" );

    MailboxFrameLayout->addWidget( AccountName, 1, 0 );
    spacer3 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    MailboxFrameLayout->addItem( spacer3, 4, 0 );

    LabelServerName = new QLabel( MailboxFrame, "LabelServerName" );

    MailboxFrameLayout->addWidget( LabelServerName, 2, 0 );

    Directory = new KURLRequester( MailboxFrame, "Directory" );

    MailboxFrameLayout->addWidget( Directory, 3, 0 );

    KPMailMboxDlgLayout->addMultiCellWidget( MailboxFrame, 0, 0, 0, 1 );
    languageChange();
    resize( QSize(485, 300).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( AutoCheck, SIGNAL( toggled(bool) ), this, SLOT( onAutoCheckToggled(bool) ) );

    // tab order
    setTabOrder( AccountName, AccountState );
    setTabOrder( AccountState, AutoCheck );
    setTabOrder( AutoCheck, CheckMinutes );
    setTabOrder( CheckMinutes, CheckSeconds );
    setTabOrder( CheckSeconds, OkButton );
    setTabOrder( OkButton, CancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KPMailMboxDlg::~KPMailMboxDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KPMailMboxDlg::languageChange()
{
    setProperty( "caption", tr2i18n( "Mbox-Account" ) );
    OkButton->setProperty( "text", tr2i18n( "&Ok" ) );
    OkButton->setProperty( "accel", QKeySequence( tr2i18n( "Alt+O" ) ) );
    CancelButton->setProperty( "text", tr2i18n( "&Cancel" ) );
    CancelButton->setProperty( "accel", QKeySequence( tr2i18n( "Alt+C" ) ) );
    AccountState->clear();
    AccountState->insertItem( tr2i18n( "Enabled" ) );
    AccountState->insertItem( tr2i18n( "Disabled" ) );
    LabelCheckSec->setProperty( "text", tr2i18n( "seconds" ) );
    AutoCheck->setProperty( "text", tr2i18n( "&Autocheck" ) );
    AutoCheck->setProperty( "accel", QKeySequence( tr2i18n( "Alt+A" ) ) );
    LabelCheckMin->setProperty( "text", tr2i18n( "minutes" ) );
    LabelAccountName->setProperty( "text", tr2i18n( "<b>Name of this Account</b>" ) );
    LabelServerName->setProperty( "text", tr2i18n( "Directory" ) );
}

#include "kpmailmboxdlg.moc"
